#include <hidef.h>      /* common defines and macros */
#include "derivative.h"      /* derivative-specific definitions */


void main(void) {
	word n, m;
	
	DisableInterrupts;
	PORTA = 0xFA;					// init porta 
	DDRA = 0xFF;					// porta output
	PTP = 0xFF;						// init portp	
	DDRP = 0xF0;					// ptp[3:0] input
	PERP = 0x0F;					// enable pulls
	PPSP = 0x00;					// pull-downs
	PIFP = 0xFF;					// clr spurious flags
	


	for(;;) {
		for(n=0;n<0x8000;n++);
		PORTA ^= 0x0F;				// toggle LEDs

		if(PIFP) {
			m = PIFP<<4;			// get flag and shift to hi nibble
			PIFP = 0xFF;			// clear flag
			m &= 0xF0;				// mask lo nibble
//			m ^= 0xF0;				// invert flag bit
			PORTA |= 0xF0;			// clear hi nibble active-lo output
			PORTA ^= m;				// toggle porta hi nibble bit
		}
	}
}
